Bug 444182 - problem with 1024x768 resolution on MGA G200e
problem with 1024x768 resolution on MGA G200e
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-mga (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-25 13:44 EDT by Geoff Gustafson
Modified: 2012-04-26 13:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-26 13:51:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
conf file after I had lowered the resolution (616 bytes, text/plain)
2008-05-21 15:01 EDT, Geoff Gustafson
no flags Details
X log after I had lowered the resolution (46.44 KB, text/plain)
2008-05-21 15:02 EDT, Geoff Gustafson
no flags Details
X log after starting with no xorg.conf present (50.44 KB, text/plain)
2008-05-21 15:03 EDT, Geoff Gustafson
no flags Details

  None (edit)
Description Geoff Gustafson 2008-04-25 13:44:37 EDT
Description of problem:
I installed 5.2 Snapshot 7 x86_64 on a Intel Tylersburg EP / Nehalem B0 SDV. It
came up in 1024x768 according to s-c-d. But the display was oddly squished
horizontally as if it was really a widescreen resolution being displayed on my
4x3 screen. It looked bad as if the refresh was very poor as well.

I switched to 800x600 which came up fine, restarted X. Now 1024x768 is not an
option in s-c-d.

Version-Release number of selected component (if applicable):
mga driver version 1.4.2-7.el5, but not sure what component this is really in

How reproducible:
Only saw once on install so far.
Comment 1 Geoff Gustafson 2008-04-25 14:29:33 EDT
Same thing on i386. Running xclock with -geometry I've convinced myself that the
actual resolution is 1280x768.
Comment 2 Geoff Gustafson 2008-04-25 16:28:01 EDT
Same thing on Fedora 9 Preview i386, FWIW.
Comment 3 Geoff Gustafson 2008-04-25 16:31:44 EDT
Ah, sorry, on F9p s-c-d recognizes the resolution as 1360x768. Can't seem to
successfully change to lower res with s-c-d.
Comment 4 Matěj Cepl 2008-05-03 09:08:04 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Geoff Gustafson 2008-05-21 15:01:40 EDT
Created attachment 306302 [details]
conf file after I had lowered the resolution
Comment 6 Geoff Gustafson 2008-05-21 15:02:03 EDT
Created attachment 306303 [details]
X log after I had lowered the resolution
Comment 7 Geoff Gustafson 2008-05-21 15:03:02 EDT
Created attachment 306304 [details]
X log after starting with no xorg.conf present

This reproduced the problem, the resolution X decided to run at was weirdly
squished.
Comment 9 Adam Jackson 2012-04-26 13:51:55 EDT
Almost certainly fixed since.

Note You need to log in before you can comment on or make changes to this bug.